# -*- rpm-spec -*-
# $Id: xemacs-prog-modes,v 1.25 2003/11/15 12:22:49 lioka Exp $

%define xemacs_package prog-modes

Name: xemacs-prog-modes
Version: 1.91
Release: alt1

Summary: Support for various programming languages
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2
Source1: rpm-spec-mode.el.gz

PreReq: xemacsen
Requires: xemacs-base xemacs-mail-lib xemacs-cc-mode xemacs-fsf-compat xemacs-edit-utils xemacs-ediff xemacs-emerge xemacs-efs xemacs-vc xemacs-speedbar xemacs-dired xemacs-ilisp

BuildArch: noarch
BuildPreReq: xemacsen
BuildRequires: xemacs-base xemacs-cc-mode xemacs-dired xemacs-edit-utils xemacs-fsf-compat xemacs-speedbar

%description
Support for various programming languages

%prep
%setup -q -c
zcat %SOURCE1 > %_builddir/%name-%version/lisp/prog-modes/rpm-spec-mode.el

%build
%xemacs_bytecompile -C lisp/prog-modes

%install
%__mkdir_p %buildroot%_xemacs_package_dir
%__cp -a . %buildroot%_xemacs_package_dir

%xemacs_package_find_files

%files -f %name-files

%changelog
* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.91-alt1
- 1.91

* Sat Oct 04 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.89-alt1
- 1.89

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.83-alt1
 - 1.83

* Sat Jul 05 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.79-alt1
 - 1.79

* Sat Jun 07 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.73-alt1
 - 1.73

* Thu Mar  6 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.72-alt1
- 1.72

* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt3
- #1531 fixed

* Sat Nov 30 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt2
- xemacs-el-devel requirement dropped

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.67-alt1
- 1.67

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.60-alt1
- first build for %distribution distribution

